import { defineStore } from "pinia";

export const useMiscellaneousStore = defineStore("miscellaneousStore", {
  state: () => ({
    onlineAddress: false,
  }),
  getters: {
    getOnlineAddress: (state) => state.onlineAddress,
  },
  actions: {
    setOnlineAddress(onlineAddress) {
      this.onlineAddress = onlineAddress;
    },
  },
  persist: {
    storage: window.sessionStorage,
  },
});
